org.apache.ivy.util

## Class CopyProgressEvent

- java.lang.Object
- - org.apache.ivy.util.CopyProgressEvent

    public class CopyProgressEvent
    extends java.lang.Object

Event reporting a stream copy progression

### Constructor Summary

Constructors
Constructor and Description
`CopyProgressEvent()`
`CopyProgressEvent(byte[] buffer, int read, long total)`
`CopyProgressEvent(byte[] buffer, long total)`

### Method Summary

Methods
`byte[]` `getBuffer()`
`int` `getReadBytes()`
`long` `getTotalReadBytes()`
`protected CopyProgressEvent` `update(byte[] buffer, int read, long total)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyProgressEvent

    public CopyProgressEvent()

#### CopyProgressEvent

    public CopyProgressEvent(byte[] buffer,
                     int read,
                     long total)

#### CopyProgressEvent

    public CopyProgressEvent(byte[] buffer,
                     long total)

### Method Detail

#### update

    protected CopyProgressEvent update(byte[] buffer,
                           int read,
                           long total)

#### getTotalReadBytes

    public long getTotalReadBytes()

#### getBuffer

    public byte[] getBuffer()

#### getReadBytes

    public int getReadBytes()